//======================================================= file = inport.c =====
//=  Input port for IYER PPS (distributed) switch simulation model            = 
//=============================================================================
//=  Notes: 1) Forward packets to output ports after passing through jitter   = 
//=  	         control queues
//=---------------------------------------------------------------------------=
//=  Contains: inport()                                                       =
//=---------------------------------------------------------------------------=
//=  History: AAS (04/01/03) - Genesis                                        =
//=============================================================================
#define EXTERNAL        // This is an external file (used in common.h)

//----- Include files ---------------------------------------------------------
#include "csim.h"       // Needed for CSIM
#include "common.h"     // Needed for common stuff

void inport(int in_id,int out_id,int channel_num,double timestamp,
int tag,double org_time)
{

  create("inport");

  // Sending arrival timestamp to jItter controller (in_sel())
  send(Tag_number[channel_num][in_id],(long)timestamp);

  // Queueing at internal inports
  queue(In_Q_event[channel_num][in_id]);

  // Forward cell to the outport of same switch plane
  out[channel_num][out_id](in_id, out_id,channel_num,timestamp,
  tag,org_time);

  return;
}
